/*======================================================================================================================
												START OF HEADER
======================================================================================================================*/

body {
	overflow-x: hidden;
}

header {
	padding: 32px 48px;
}

header > .logo {
	display: flex;
	align-items: center;
	min-width: 25rem;
	gap: 12px;
}

header > .logo img {
	position: fixed;

}

header > .logo article * {
	margin-left: 70px;
	padding: 2px;
}

header > .logo article h1 {
	font-size: 3rem;
	font-weight: 900;
}

header > .logo article p {
	font-size: 1.5rem;
}

header > .introduction {
	min-width: min-content;
	max-width: 600px;
	padding: 30vh 0;
}

header > .introduction * {
	padding: 8px;
}

header > .introduction h2 {
	font-size: 6rem;
}

header > .introduction p {
	font-size: 2rem;
}

header > img {
	position: absolute;
	z-index: -1;
	top: 0;
	right: 0;
	width: 55%;
	min-width: 30rem;
	max-width: 80rem;
}

.floating-man {
	animation-name: floating-dude;
	animation-duration: 25s;
	animation-timing-function: ease-in-out;
	animation-iteration-count: infinite;
	animation-direction: alternate;
	animation-fill-mode: both;

}

/*======================================================================================================================
												START OF MAIN
======================================================================================================================*/

/* Image Gallery */

#image-gallery > img {
	max-width: 100%;
	padding: 10vh 0;
}

/* About the Challenge */
#about-the-challenge {
	padding: 5vh 10%;
}

#about-the-challenge > article {
	display: flex;
	justify-content: center;
	margin-bottom: 20rem;
	gap: 6rem;
}

#about-the-challenge > article h2 {
	font-size: 6rem;
	max-width: 40rem;
}

#about-the-challenge > h3 {
	font-size: 6rem;
	min-width: 40rem;
	max-width: 80rem;
}

#about-the-challenge > article p {
	font-size: 2rem;
	line-height: 4.2rem;
	flex: 1;
	max-width: 70rem;
}

/* Tips */
#tips {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	padding: 10vh 10%;
	gap: 10rem;
}

#tips > .tip-container {
	line-height: 3rem;
	display: flex;
	align-items: flex-start;
	max-width: 35%;
}

#tips > .tip-container > img {
	display: inline-block;
	width: 32px;
	object-fit: contain;
}

#tips > .tip-container > article {
	display: inline-block;
	flex: 1;
	padding: 0 12px;
}

/* Let's go */
#lets-go {
	padding: 5vh 10%;
	text-align: center;
}

#lets-go > article > p {
	padding: 2vh 15%;
}

/* Steps */
#lets-go > .step {
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 10rem 0;
	gap: 5rem;
}

#lets-go > .step > img {
	width: 50%;
}

#lets-go > .step > div {
	text-align: left;
}

#lets-go > .step > div > .step-number {
	font-size: 10rem;
	font-weight: 900;
	margin-bottom: 8rem;
	opacity: 0.25;
}

#lets-go > .step > div > img {
	margin: 2rem 0;

}

#lets-go > .step > div > article {
	line-height: 4rem;
}

#lets-go > .step:nth-of-type(even) > img {
	order: 2
}

/*======================================================================================================================
												START OF FOOTER
======================================================================================================================*/

#subscribe {
	margin: 12rem auto;
	text-align: center;
}

#subscribe .signup{
	width: 70%;
	margin: auto;
	padding: 4rem;
}

#subscribe > .signup > h3 {
	font-size: 4rem;
}

#subscribe > .signup > p {
	font-size: 2rem;
	margin: 4rem auto;
}

#subscribe > .signup > .subscription-field {
	position: relative;
	display: flex;

	overflow: hidden;

	width: 40%;
	height: 6rem;

	margin: 2rem auto;
	border-radius: 16px;

	--b: 4px;
	background: linear-gradient(60deg, rgb(255, 0, 0) 40%, rgb(0, 0, 255) 60%) border-box;
	border: var(--b) solid transparent;
}

#subscribe > .signup > .subscription-field > input[type="email"] {
	font-size: 2rem;
	width: 70%;
	text-align: center;
	border: none;
}

#subscribe > .signup > .subscription-field > input[type="submit"],
#subscribe > .signup > .subscription-field > input[type="button"]{
	font-family: Roboto, sans-serif;
	font-size: 2rem;
	font-weight: 600;

	flex-grow: 1;

	text-align: center;

	color: white;
	background: #ff3571;

	border: none;
}

#subscribe > .signup > .subscription-field > input[type="submit"]:hover,
#subscribe > .signup > .subscription-field > input[type="button"]:hover {
	background: #ff5484;
}

#subscribe > .signup > .subscription-field > input:focus {
	outline: none;
	border: none;
}

footer p {
	font-size: 2rem;
	padding: 2rem 4rem;
}